/// <reference types="node" />
import { ReadStream } from 'fs';
import { Upload } from '../models';
import { Request } from '../request';
declare type CreateUploadRequest = {
    file: ReadStream;
    data_type: 'fit' | 'fit.gz' | 'tcx' | 'tcx.gz' | 'gpx' | 'gpx.gz';
    name?: string;
    description?: string;
    trainer?: string;
    commute?: string;
    external_id?: string;
};
declare type GetUploadByIdRequest = {
    uploadId: number;
};
export declare class Uploads {
    private readonly request;
    constructor(request: Request);
    createUpload(params: CreateUploadRequest): Promise<Upload | void>;
    getUploadById(params: GetUploadByIdRequest): Promise<Upload>;
}
export {};
